# slist File Reference

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file slist.

Go to the source code of this file.

## Namespaces

- namespace __gnu_cxx
- namespace std

## Defines

- #define _SLIST

## Functions

- _Slist_node_base * __slist_make_link (_Slist_node_base *__prev_node, _Slist_node_base *__new_node)
- const _Slist_node_base * __slist_previous (const _Slist_node_base *__head, const _Slist_node_base *__node)
- _Slist_node_base * __slist_previous (_Slist_node_base *__head, const _Slist_node_base *__node)
- _Slist_node_base * __slist_reverse (_Slist_node_base *__node)
- size_t __slist_size (_Slist_node_base *__node)
- void __slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__head)
- void __slist_splice_after (_Slist_node_base *__pos, _Slist_node_base *__before_first, _Slist_node_base *__before_last)
- template<class _Tp, class _Alloc> bool operator!= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> bool operator< (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> bool operator<= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> bool operator== (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> bool operator> (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> bool operator>= (const slist< _Tp, _Alloc > &_SL1, const slist< _Tp, _Alloc > &_SL2)
- template<class _Tp, class _Alloc> void swap (slist< _Tp, _Alloc > &__x, slist< _Tp, _Alloc > &__y)